
module draw_D1 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "D");
			tile_part_2 (UC_hue_grn, +2,  0, "1");
			tile_part_2 (UC_hue_grn, +4,  0);
			tile_part_2 (UC_hue_grn, +6,  0);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +5,  0, true);
		}
	}
}

module draw_D2 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "D");
			tile_part_2 (UC_hue_grn, +2,  0, "2");
			tile_part_2 (UC_hue_grn, +2, +2);
			tile_part_2 (UC_hue_grn, +4,  0);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +2, +1, false);
		}
	}
}

module draw_D3 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "D");
			tile_part_2 (UC_hue_grn,  0, +2);
			tile_part_2 (UC_hue_grn, +2,  0, "3");
			tile_part_2 (UC_hue_grn, +2, +2);

			tile_part_1 (UC_hue_grn,  0, +1, false);
			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +1, +2, true);
			tile_part_1 (UC_hue_grn, +2, +1, false);

			tile_part_0 (UC_hue_grn, +1, +1);
		}
	}
}

module draw_D4p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "D");
			tile_part_2 (UC_hue_blu, +2,  0, "4");
			tile_part_2 (UC_hue_blu, +4,  0, "p");
			tile_part_2 (UC_hue_blu, +4, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
		}
	}
}

module draw_D4q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "D");
			tile_part_2 (UC_hue_red, +2,  0, "4");
			tile_part_2 (UC_hue_red, +4,  0, "q");
			tile_part_2 (UC_hue_red, +4, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
		}
	}
}

module draw_D5p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "D");
			tile_part_2 (UC_hue_blu, +2,  0, "5");
			tile_part_2 (UC_hue_blu, +2, -2, "p");
			tile_part_2 (UC_hue_blu, +4, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +2, -1, false);
			tile_part_1 (UC_hue_blu, +3, -2, true);
		}
	}
}

module draw_D5q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "D");
			tile_part_2 (UC_hue_red, +2,  0, "5");
			tile_part_2 (UC_hue_red, +2, +2, "q");
			tile_part_2 (UC_hue_red, +4, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +2, +1, false);
			tile_part_1 (UC_hue_red, +3, +2, true);
		}
	}
}

