
module draw_F01 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,   0,  0, "F");
			tile_part_2 (UC_hue_grn,  +2,  0, "0");
			tile_part_2 (UC_hue_grn,  +4,  0, "1");
			tile_part_2 (UC_hue_grn,  +6,  0);
			tile_part_2 (UC_hue_grn,  +8,  0);
			tile_part_2 (UC_hue_grn, +10,  0);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +5,  0, true);
			tile_part_1 (UC_hue_grn, +7,  0, true);
			tile_part_1 (UC_hue_grn, +9,  0, true);
		}
	}
}

module draw_F02 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +4,  0, "2");
			tile_part_2 (UC_hue_grn, +4, +2);
			tile_part_2 (UC_hue_grn, +6,  0);
			tile_part_2 (UC_hue_grn, +8,  0);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +4, +1, false);
			tile_part_1 (UC_hue_grn, +5,  0, true);
			tile_part_1 (UC_hue_grn, +7,  0, true);
		}
	}
}

module draw_F03 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn,  0, +2);
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +4,  0, "3");
			tile_part_2 (UC_hue_grn, +6,  0);
			tile_part_2 (UC_hue_grn, +6, +2);

			tile_part_1 (UC_hue_grn,  0, +1, false);
			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +5,  0, true);
			tile_part_1 (UC_hue_grn, +6, +1, false);
		}
	}
}

module draw_F04 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +2, +2);
			tile_part_2 (UC_hue_grn, +4,  0, "4");
			tile_part_2 (UC_hue_grn, +4, +2);
			tile_part_2 (UC_hue_grn, +6,  0);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +2, +1, false);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +3, +2, true);
			tile_part_1 (UC_hue_grn, +4, +1, false);
			tile_part_1 (UC_hue_grn, +5,  0, true);

			tile_part_0 (UC_hue_grn, +3, +1);
		}
	}
}

module draw_F05 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +4,  0, "5");
			tile_part_2 (UC_hue_grn, +6,  0);
			tile_part_2 (UC_hue_grn, +6, +2);
			tile_part_2 (UC_hue_grn, +6, -2);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +5,  0, true);
			tile_part_1 (UC_hue_grn, +6, +1, false);
			tile_part_1 (UC_hue_grn, +6, -1, false);
		}
	}
}

module draw_F06 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +4,  0, "6");
			tile_part_2 (UC_hue_grn, +4, +2);
			tile_part_2 (UC_hue_grn, +4, -2);
			tile_part_2 (UC_hue_grn, +6,  0);

			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +4, +1, false);
			tile_part_1 (UC_hue_grn, +4, -1, false);
			tile_part_1 (UC_hue_grn, +5,  0, true);
		}
	}
}

module draw_F07 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn,  0, -2);
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +2, -2);
			tile_part_2 (UC_hue_grn, +4,  0, "7");
			tile_part_2 (UC_hue_grn, +4, -2);

			tile_part_1 (UC_hue_grn,  0, -1, false);
			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +1, -2, true);
			tile_part_1 (UC_hue_grn, +2, -1, false);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +3, -2, true);
			tile_part_1 (UC_hue_grn, +4, -1, false);

			tile_part_0 (UC_hue_grn, +1, -1);
			tile_part_0 (UC_hue_grn, +3, -1);
		}
	}
}

module draw_F08 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn,  0, +2);
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +2, -2);
			tile_part_2 (UC_hue_grn, +4,  0, "8");
			tile_part_2 (UC_hue_grn, +4, +2);

			tile_part_1 (UC_hue_grn,  0, +1, false);
			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +2, -1, false);
			tile_part_1 (UC_hue_grn, +3,  0, true);
			tile_part_1 (UC_hue_grn, +4, +1, false);
		}
	}
}

module draw_F09 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn,  0, +2);
			tile_part_2 (UC_hue_grn, +2,  0, "0");
			tile_part_2 (UC_hue_grn, +2, +2);
			tile_part_2 (UC_hue_grn, +2, -2);
			tile_part_2 (UC_hue_grn, +4,  0, "9");

			tile_part_1 (UC_hue_grn,  0, +1, false);
			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +1, +2, true);
			tile_part_1 (UC_hue_grn, +2, -1, false);
			tile_part_1 (UC_hue_grn, +2, +1, false);
			tile_part_1 (UC_hue_grn, +3,  0, true);

			tile_part_0 (UC_hue_grn, +1, +1);

		}
	}
}

module draw_F10 (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_grn,  0,  0, "F");
			tile_part_2 (UC_hue_grn,  0, -2);
			tile_part_2 (UC_hue_grn,  0, -4);
			tile_part_2 (UC_hue_grn, +2,  0, "1");
			tile_part_2 (UC_hue_grn, +2, -2);
			tile_part_2 (UC_hue_grn, +4,  0, "0");

			tile_part_1 (UC_hue_grn,  0, -1, false);
			tile_part_1 (UC_hue_grn,  0, -3, false);
			tile_part_1 (UC_hue_grn, +1,  0, true);
			tile_part_1 (UC_hue_grn, +1, -2, true);
			tile_part_1 (UC_hue_grn, +2, -1, false);
			tile_part_1 (UC_hue_grn, +3,  0, true);

			tile_part_0 (UC_hue_grn, +1, -1);
		}
	}
}


