
module draw_F21p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +4,  0, "1");
			tile_part_2 (UC_hue_blu, +4, -2);
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +6, +2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +6, +1, false);
		}
	}
}

module draw_F21q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +4,  0, "1");
			tile_part_2 (UC_hue_red, +4, +2);
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +6, -2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +6, -1, false);
		}
	}
}

module draw_F22p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +2, -2);
			tile_part_2 (UC_hue_blu, +4,  0, "2");
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +6, +2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +2, -1, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +6, +1, false);
		}
	}
}

module draw_F22q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +2, +2);
			tile_part_2 (UC_hue_red, +4,  0, "2");
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +6, -2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +2, +1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +6, -1, false);
		}
	}
}

module draw_F23p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu,  0, -2);
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +4,  0, "3");
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +6, +2);

			tile_part_1 (UC_hue_blu,  0, -1, false);
			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +6, +1, false);
		}
	}
}

module draw_F23q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red,  0, +2);
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +4,  0, "3");
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +6, -2);

			tile_part_1 (UC_hue_red,  0, +1, false);
			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +6, -1, false);
		}
	}
}


module draw_F24p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +2, -2);
			tile_part_2 (UC_hue_blu, +4,  0, "4");
			tile_part_2 (UC_hue_blu, +4, +2);
			tile_part_2 (UC_hue_blu, +6,  0, "p");

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +2, -1, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, +1, false);
			tile_part_1 (UC_hue_blu, +5,  0, true);
		}
	}
}

module draw_F24q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +2, +2);
			tile_part_2 (UC_hue_red, +4,  0, "4");
			tile_part_2 (UC_hue_red, +4, -2);
			tile_part_2 (UC_hue_red, +6,  0, "q");

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +2, +1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, -1, false);
			tile_part_1 (UC_hue_red, +5,  0, true);
		}
	}
}
module draw_F25p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +4,  0, "5");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +4, -4);
			tile_part_2 (UC_hue_blu, +6, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +4, -3, false);
			tile_part_1 (UC_hue_blu, +5, -2, true);
		}
	}
}

module draw_F25q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +4,  0, "5");
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +4, +4);
			tile_part_2 (UC_hue_red, +6, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +4, +3, false);
			tile_part_1 (UC_hue_red, +5, +2, true);
		}
	}
}
