
module draw_F26p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +4,  0, "6");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +4, +2);
			tile_part_2 (UC_hue_blu, +6, +2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +4, +1, false);
			tile_part_1 (UC_hue_blu, +5, +2, true);
		}
	}
}

module draw_F26q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +4,  0, "6");
			tile_part_2 (UC_hue_red, +4, -2);
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +6, -2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, -1, false);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5, -2, true);
		}
	}
}

module draw_F27p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +2, +2);
			tile_part_2 (UC_hue_blu, +4,  0, "7");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +4, +2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +2, +1, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +4, +1, false);
			tile_part_1 (UC_hue_blu, +3, +2, true);

			tile_part_0 (UC_hue_blu, +3, +1);
		}
	}
}

module draw_F27q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +2, -2);
			tile_part_2 (UC_hue_red, +4,  0, "7");
			tile_part_2 (UC_hue_red, +4, -2);
			tile_part_2 (UC_hue_red, +4, +2, "q");

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +2, -1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +3, -2, true);
			tile_part_1 (UC_hue_red, +4, -1, false);
			tile_part_1 (UC_hue_red, +4, +1, false);

			tile_part_0 (UC_hue_red, +3, -1);
		}
	}
}

module draw_F28p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +2, +2);
			tile_part_2 (UC_hue_blu, +4,  0, "8");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +6, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +2, +1, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +5, -2, true);
		}
	}
}

module draw_F28q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +2, -2);
			tile_part_2 (UC_hue_red, +4,  0, "8");
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +6, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +2, -1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5, +2, true);
		}
	}
}

module draw_F29p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "2");
			tile_part_2 (UC_hue_blu, +4,  0, "9");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +4, -4);
			tile_part_2 (UC_hue_blu, +6, -4);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -3, false);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +5, -4, true);
		}
	}
}

module draw_F29q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "2");
			tile_part_2 (UC_hue_red, +4, +4);
			tile_part_2 (UC_hue_red, +4,  0, "9");
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +6, +4);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +4, +3, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5, +4, true);
		}
	}
}

module draw_F30p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "3");
			tile_part_2 (UC_hue_blu, +4,  0, "0");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +6, -2);
			tile_part_2 (UC_hue_blu, +6, -4);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +5, -2, true);
			tile_part_1 (UC_hue_blu, +6, -3, false);
		}
	}
}

module draw_F30q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "3");
			tile_part_2 (UC_hue_red, +6, +2);
			tile_part_2 (UC_hue_red, +4,  0, "0");
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +6, +4);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5, +2, true);
			tile_part_1 (UC_hue_red, +6, +3, false);
		}
	}
}

