
module draw_F31p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu,  0, -2);
			tile_part_2 (UC_hue_blu,  0, -4);
			tile_part_2 (UC_hue_blu, +2,  0, "3");
			tile_part_2 (UC_hue_blu, +4,  0, "1");
			tile_part_2 (UC_hue_blu, +4, -2, "p");

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu,  0, -1, false);
			tile_part_1 (UC_hue_blu,  0, -3, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
		}
	}
}

module draw_F31q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red,  0, +2);
			tile_part_2 (UC_hue_red,  0, +4);
			tile_part_2 (UC_hue_red, +2,  0, "3");
			tile_part_2 (UC_hue_red, +4,  0, "1");
			tile_part_2 (UC_hue_red, +4, +2, "q");

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red,  0, +1, false);
			tile_part_1 (UC_hue_red,  0, +3, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
		}
	}
}

module draw_F32p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu,  0, -2);
			tile_part_2 (UC_hue_blu,  0, +2);
			tile_part_2 (UC_hue_blu, +2,  0, "3");
			tile_part_2 (UC_hue_blu, +4,  0, "2");
			tile_part_2 (UC_hue_blu, +4, -2, "p");

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu,  0, -1, false);
			tile_part_1 (UC_hue_blu,  0, +1, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
		}
	}
}

module draw_F32q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red,  0, +2);
			tile_part_2 (UC_hue_red,  0, -2);
			tile_part_2 (UC_hue_red, +2,  0, "3");
			tile_part_2 (UC_hue_red, +4,  0, "2");
			tile_part_2 (UC_hue_red, +4, +2, "q");

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red,  0, +1, false);
			tile_part_1 (UC_hue_red,  0, -1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
		}
	}
}

module draw_F33p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu,  0, +2);
			tile_part_2 (UC_hue_blu, +2,  0, "3");
			tile_part_2 (UC_hue_blu, +4,  0, "3");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +6, -2);

			tile_part_1 (UC_hue_blu,  0, +1, false);
			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +5, -2, true);
		}
	}
}

module draw_F33q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red,  0, -2);
			tile_part_2 (UC_hue_red, +2,  0, "3");
			tile_part_2 (UC_hue_red, +4,  0, "3");
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +6, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red,  0, -1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5, +2, true);
		}
	}
}

module draw_F34p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu,  0, +2);
			tile_part_2 (UC_hue_blu, +2,  0, "3");
			tile_part_2 (UC_hue_blu, +2, +2);
			tile_part_2 (UC_hue_blu, +4,  0, "4");
			tile_part_2 (UC_hue_blu, +4, -2, "p");

			tile_part_1 (UC_hue_blu,  0, +1, false);
			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +1, +2, true);
			tile_part_1 (UC_hue_blu, +2, +1, false);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);

			tile_part_0 (UC_hue_blu, +1, +1);
		}
	}
}

module draw_F34q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red,  0, -2);
			tile_part_2 (UC_hue_red, +2,  0, "3");
			tile_part_2 (UC_hue_red, +2, -2);
			tile_part_2 (UC_hue_red, +4,  0, "4");
			tile_part_2 (UC_hue_red, +4, +2, "q");

			tile_part_1 (UC_hue_red,  0, -1, false);
			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +1, -2, true);
			tile_part_1 (UC_hue_red, +2, -1, false);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);

			tile_part_0 (UC_hue_red, +1, -1);
		}
	}
}

module draw_F35p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu, -2,  0);
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu,  0, -2, "3");
			tile_part_2 (UC_hue_blu, +2, -2, "5");
			tile_part_2 (UC_hue_blu, +2, -4, "p");
			tile_part_2 (UC_hue_blu, +4, -4);

			tile_part_1 (UC_hue_blu, -1,  0, true);
			tile_part_1 (UC_hue_blu,  0, -1, false);
			tile_part_1 (UC_hue_blu, +1, -2, true);
			tile_part_1 (UC_hue_blu, +2, -3, false);
			tile_part_1 (UC_hue_blu, +3, -4, true);
		}
	}
}

module draw_F35q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red, -2,  0);
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red,  0, +2, "3");
			tile_part_2 (UC_hue_red, +2, +2, "5");
			tile_part_2 (UC_hue_red, +2, +4, "q");
			tile_part_2 (UC_hue_red, +4, +4);

			tile_part_1 (UC_hue_red, -1,  0, true);
			tile_part_1 (UC_hue_red,  0, +1, false);
			tile_part_1 (UC_hue_red, +1, +2, true);
			tile_part_1 (UC_hue_red, +2, +3, false);
			tile_part_1 (UC_hue_red, +3, +4, true);
		}
	}
}