
module draw_F11p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "1");
			tile_part_2 (UC_hue_blu, +4,  0, "1");
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +8,  0);
			tile_part_2 (UC_hue_blu, +8, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +7,  0, true);
			tile_part_1 (UC_hue_blu, +8, -1, false);
		}
	}
}

module draw_F11q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "1");
			tile_part_2 (UC_hue_red, +4,  0, "1");
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +8,  0);
			tile_part_2 (UC_hue_red, +8, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +7,  0, true);
			tile_part_1 (UC_hue_red, +8, +1, false);
		}
	}
}

module draw_F12p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "1");
			tile_part_2 (UC_hue_blu, +4,  0, "2");
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +6, -2);
			tile_part_2 (UC_hue_blu, +8,  0);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +6, -1, false);
			tile_part_1 (UC_hue_blu, +7,  0, true);
		}
	}
}

module draw_F12q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "1");
			tile_part_2 (UC_hue_red, +4,  0, "2");
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +6, +2);
			tile_part_2 (UC_hue_red, +8,  0);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +6, +1, false);
			tile_part_1 (UC_hue_red, +7,  0, true);
		}
	}
}

module draw_F13p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "1");
			tile_part_2 (UC_hue_blu, +4,  0, "3");
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +6, -2);
			tile_part_2 (UC_hue_blu, +8, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +6, -1, false);
			tile_part_1 (UC_hue_blu, +7, -2, true);
		}
	}
}

module draw_F13q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "1");
			tile_part_2 (UC_hue_red, +4,  0, "3");
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +6, +2);
			tile_part_2 (UC_hue_red, +8, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +6, +1, false);
			tile_part_1 (UC_hue_red, +7, +2, true);
		}
	}
}

module draw_F14p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "1");
			tile_part_2 (UC_hue_blu, +4,  0, "4");
			tile_part_2 (UC_hue_blu, +4, -2, "p");
			tile_part_2 (UC_hue_blu, +6, -2);
			tile_part_2 (UC_hue_blu, +8, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +5, -2, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +7, -2, true);
		}
	}
}

module draw_F14q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "1");
			tile_part_2 (UC_hue_red, +4,  0, "4");
			tile_part_2 (UC_hue_red, +4, +2, "q");
			tile_part_2 (UC_hue_red, +6, +2);
			tile_part_2 (UC_hue_red, +8, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5, +2, true);
			tile_part_1 (UC_hue_red, +7, +2, true);
		}
	}
}

module draw_F15p (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_blu,  0,  0, "F");
			tile_part_2 (UC_hue_blu, +2,  0, "1");
			tile_part_2 (UC_hue_blu, +4,  0, "5");
			tile_part_2 (UC_hue_blu, +4, -2);
			tile_part_2 (UC_hue_blu, +6,  0, "p");
			tile_part_2 (UC_hue_blu, +6, -2);

			tile_part_1 (UC_hue_blu, +1,  0, true);
			tile_part_1 (UC_hue_blu, +3,  0, true);
			tile_part_1 (UC_hue_blu, +4, -1, false);
			tile_part_1 (UC_hue_blu, +5,  0, true);
			tile_part_1 (UC_hue_blu, +5, -2, true);
			tile_part_1 (UC_hue_blu, +6, -1, false);

			tile_part_0 (UC_hue_blu, +5, -1);
		}
	}
}

module draw_F15q (x, y, r) {
	translate ([x * UC_nom_wide, y * UC_nom_wide, 0]) {
		rotate ([0, 0, r * 90]) {
			tile_part_2 (UC_hue_red,  0,  0, "F");
			tile_part_2 (UC_hue_red, +2,  0, "1");
			tile_part_2 (UC_hue_red, +4,  0, "5");
			tile_part_2 (UC_hue_red, +4, +2);
			tile_part_2 (UC_hue_red, +6,  0, "q");
			tile_part_2 (UC_hue_red, +6, +2);

			tile_part_1 (UC_hue_red, +1,  0, true);
			tile_part_1 (UC_hue_red, +3,  0, true);
			tile_part_1 (UC_hue_red, +4, +1, false);
			tile_part_1 (UC_hue_red, +5,  0, true);
			tile_part_1 (UC_hue_red, +5, +2, true);
			tile_part_1 (UC_hue_red, +6, +1, false);

			tile_part_0 (UC_hue_red, +5, +1);
		}
	}
}